NamedMethod
Date: 2014-08-08

melting.methodInterfaces

## Interface NamedMethod

- All Known Implementing Classes:
    Ahsen01, Ahsen01_NaEquivalent, Ahsen01DMSOCorrection, Ahsen01SodiumCorrection, AllawiSantalucia97, AllawiSantaluciaPeyret97_98_99mm, AllawiSantaluciaPeyret97_98_99tanmm, Asanuma05Azobenzene, Blake96FormamideCorrection, Bommarito00SingleDanglingEnd, Breslauer86, Broda05CNGRepeats, Cullen76DMSOCorrection, Escara80DMSOCorrection, FormamideLinearMethod, FrankKamenetskii71SodiumCorrection, Freier86, LockedAcidNNMethod, MarmurChester62_93, MarmurChester62_93_corr, MarmurSchildkrautDoty, MarmurSchildkrautDoty98_62SodiumCorrection, McTigue04LockedAcid, Mitsuhashi96NaEquivalent, Musielski81DMSOCorrection, Owczarzy04SodiumCorrection19, Owczarzy04SodiumCorrection20, Owczarzy04SodiumCorrection21, Owczarzy04SodiumCorrection22, Owczarzy08MagnesiumCorrection, Owczarzy08MixedNaMgCorrection, Owczarzy11LockedAcid, Owczarzy11SingleMismatchLockedAcid, Owczarzy11TandemLockedAcid, Owen69, Peyret00_NaEquivalent, Santalucia04, Santalucia04InternalLoop, Santalucia04LongBulgeLoop, Santalucia04SingleBulgeLoop, Santalucia05Inosine, Santalucia96, Santalucia96SodiumCorrection, Santalucia98, Santalucia98_04SodiumCorrection, SchildkrautLifson65SodiumCorrection, Serra05DoubleDanglingEnd, Serra06_08SingleDanglingEnd, Serra06DoubleDanglingEnd, Serra07SingleBulgeLoop, Serra12Wobble, Sugimoto01Hydroxyadenine, Sugimoto02DNADanglingEnd, Sugimoto02RNADanglingEnd, Sugimoto95, Sugimoto96, Tan06MagnesiumCorrection, Tan06SodiumCorrection, Tan07MagnesiumCorrection, Tan07MixedNaMgCorrection, Tan07SodiumCorrection, Tanaka04, Tanaka04SingleBulgeLoop, Turner06, Turner06InternalLoop, Turner06mm, Turner99_06LongBulgeLoop, Turner99_06SingleBulgeLoop, Turner99_06tanmm, Turner99Wobble, Watkins11mm, Wetmur91SodiumCorrection, WetmurDNA91, WetmurDNARNA91, WetmurRNA91, Xia98, Znosko071x2Loop, Znosko07Inosine, Znosko07mm, Znosko08mm

      public interface NamedMethod

  An interface representing a method that can be used in the MELTING software. The interface provides methods to get the full name of the method (usually the authors and date of a paper). It is designed to be implemented at the level of the class describing the method itself.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`

- - ### Method Detail

    - #### getName

          java.lang.String getName()